# org.apache.mina.filter.codec

## Interfaces

- ProtocolCodecFactory
- ProtocolDecoder
- ProtocolDecoderOutput
- ProtocolEncoder
- ProtocolEncoderOutput

## Classes

- AbstractProtocolDecoderOutput
- AbstractProtocolEncoderOutput
- CumulativeProtocolDecoder
- ProtocolCodecFilter
- ProtocolCodecSession
- ProtocolDecoderAdapter
- ProtocolEncoderAdapter
- SynchronizedProtocolDecoder
- SynchronizedProtocolEncoder

## Exceptions

- ProtocolCodecException
- ProtocolDecoderException
- ProtocolEncoderException
- RecoverableProtocolDecoderException